import request from '@/utils/request'

// 查询特种设备文件列表
export function listSpecfile(query) {
  return request({
    url: '/sems/specfile/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备文件详细
export function getSpecfile(id) {
  return request({
    url: '/sems/specfile/' + id,
    method: 'get'
  })
}

// 新增特种设备文件
export function addSpecfile(data) {
  return request({
    url: '/sems/specfile',
    method: 'post',
    data: data
  })
}

// 修改特种设备文件
export function updateSpecfile(data) {
  return request({
    url: '/sems/specfile',
    method: 'put',
    data: data
  })
}

// 删除特种设备文件
export function delSpecfile(id) {
  return request({
    url: '/sems/specfile/' + id,
    method: 'delete'
  })
}

// 导出特种设备文件
export function exportSpecfile(query) {
  return request({
    url: '/sems/specfile/export',
    method: 'get',
    params: query
  })
}
